import * as os from 'os';
import * as path from 'path';

const homeDir = os.homedir();
// if we are on container, means the directory will depend differently
const onContainer = homeDir.includes('theia') || homeDir.includes('root');

const deadlockExtensionPath = path.join(homeDir, 'deadlock-extension');

export const PROJECT_SRC_PATH = onContainer ? '/project' : path.join(homeDir, 'deadlock-extension', '/project');

export const PROJECT_THEIA_PATH = onContainer
	? path.join('/home/project')
	: path.join(deadlockExtensionPath, 'project-theia');

export const DOCS_PATH = path.join(path.join(onContainer ? '/home/theia' : deadlockExtensionPath), 'docs');

export const CONFIG_PATH = onContainer ? '/home/config/' : path.join(deadlockExtensionPath, 'config');

export const USER_CHALLENGE_PATH = path.join(CONFIG_PATH, 'user-challenge.json');

export const BRIEFING_FILE_NAME = 'briefing.md';

export const ENV_FILE_PATH = path.join(PROJECT_THEIA_PATH, '/.env');

export const BASHRC_PATH = path.join(homeDir, '/.bashrc');

export const SERVICES_PATHS_PATH = path.join(PROJECT_THEIA_PATH, '/paths.json');
