#!/bin/sh

ON_START_UP_FILE="/deadlock/startup.sh"
TAG="[DEADLOCK]"

# setup ssh key for root user
# must be installed by the API first within /tmp/.ssh
mkdir ~/.ssh
cp /tmp/.ssh/* ~/.ssh/

# start init mission script if exists
if [ -f "$ON_START_UP_FILE" ]; then
    echo
    echo "$TAG Startup your script.."
    echo
    /bin/bash $ON_START_UP_FILE &
else
    echo
    echo "$TAG No startup script found."
    echo
fi

# start command recorder
node deadlock/recorder.js &

deluser theia sudo

su theia --command "python setup_trace.py"
rm setup_trace.py

# starting theia as THEIA
su theia --command "node /home/theia/src-gen/backend/main.js /home/project --hostname=0.0.0.0 --plugins=local-dir:/home/plugins"
